Bug 467619 - PDF open fails
PDF open fails
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xarchiver (Show other bugs)
10
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-19 10:42 EDT by Jan Kratochvil
Modified: 2008-12-17 19:35 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-17 19:35:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot after trying to view PDF right before it crashed. (16.72 KB, image/png)
2008-10-19 10:42 EDT, Jan Kratochvil
no flags Details

  None (edit)
Description Jan Kratochvil 2008-10-19 10:42:49 EDT
Created attachment 320802 [details]
Screenshot after trying to view PDF right before it crashed.

Description of problem:
Tried to open PDF from a ZIP but it crashed.

Version-Release number of selected component (if applicable):
atk-1.24.0-1.fc10.x86_64
glib2-2.18.2-1.fc10.x86_64
glibc-2.8.90-13.x86_64
gtk-nodoka-engine-0.7.1-2.fc10.x86_64
gtk2-2.14.4-1.fc10.x86_64
libcanberra-gtk2-0.10-2.fc10.x86_64
libcroco-0.6.1-5.fc9.x86_64
libgsf-1.14.9-2.fc10.x86_64
librsvg2-2.22.3-1.fc10.x86_64
pango-1.22.0-1.1.fc10.x86_64
xarchiver-0.4.9-0.6.20070103svn24249.fc9.x86_64

How reproducible:
Three times tried.

Steps to Reproduce:
1. zip 1.zip 1-1.pdf 
2. xarchiver file1.zip
3. Click the one file in the ZIP.
4. Click View.

Actual results:
Attached screenshot and:
*** glibc detected *** xarchiver: double free or corruption (!prev): 0x0000000000d95330 ***
======= Backtrace: =========
/lib64/libc.so.6[0x366bc7a0d8]
/lib64/libc.so.6(cfree+0x76)[0x366bc7c696]
/usr/lib64/gtk-2.0/modules/libgnomebreakpad.so[0x7f7c3ae07589]
/usr/lib64/gtk-2.0/modules/libgnomebreakpad.so[0x7f7c3ae07769]
/lib64/libc.so.6[0x366bc33120]
/lib64/libglib-2.0.so.0(g_slice_alloc+0x12c)[0x31bac5544c]
/lib64/libglib-2.0.so.0(g_slist_prepend+0x1e)[0x31bac567be]
/usr/lib64/libpango-1.0.so.0[0x31bd222682]
/usr/lib64/libpango-1.0.so.0(pango_layout_get_iter+0xfd)[0x31bd223acd]
/usr/lib64/libpango-1.0.so.0(pango_renderer_draw_layout+0xe2)[0x31bd228e22]
/usr/lib64/libgdk-x11-2.0.so.0(gdk_draw_layout_with_colors+0x21f)[0x31bd625aaf]
/usr/lib64/libgdk-x11-2.0.so.0(gdk_draw_layout+0x10f)[0x31bd625c4f]
/usr/lib64/gtk-2.0/2.10.0/engines/libnodoka.so[0x83147e]
/usr/lib64/libgtk-x11-2.0.so.0[0x31bcc94807]
/usr/lib64/libgtk-x11-2.0.so.0[0x31bce1d4f8]
/usr/lib64/libgtk-x11-2.0.so.0[0x31bce1e45d]
/usr/lib64/libgtk-x11-2.0.so.0[0x31bce192e8]
/usr/lib64/libgtk-x11-2.0.so.0[0x31bce1a445]
/usr/lib64/libgtk-x11-2.0.so.0[0x31bcd294e8]
/lib64/libgobject-2.0.so.0(g_closure_invoke+0x16d)[0x31bb00b7bd]
/lib64/libgobject-2.0.so.0[0x31bb02118b]
/lib64/libgobject-2.0.so.0(g_signal_emit_valist+0x63a)[0x31bb0229da]
/lib64/libgobject-2.0.so.0(g_signal_emit+0x83)[0x31bb023083]
/usr/lib64/libgtk-x11-2.0.so.0[0x31bce2c22e]
/usr/lib64/libgtk-x11-2.0.so.0(gtk_main_do_event+0x4ed)[0x31bcd2317d]
/usr/lib64/libgdk-x11-2.0.so.0[0x31bd6371e5]
/usr/lib64/libgdk-x11-2.0.so.0(gdk_window_process_all_updates+0xf1)[0x31bd637771]
/usr/lib64/libgdk-x11-2.0.so.0[0x31bd637799]
/usr/lib64/libgdk-x11-2.0.so.0[0x31bd61b59b]
/lib64/libglib-2.0.so.0(g_main_context_dispatch+0x23b)[0x31bac3775b]
/lib64/libglib-2.0.so.0[0x31bac3af2d]
/lib64/libglib-2.0.so.0(g_main_loop_run+0x1cd)[0x31bac3b45d]
/usr/lib64/libgtk-x11-2.0.so.0(gtk_main+0xa7)[0x31bcd23387]
xarchiver[0x409a3b]
/lib64/libc.so.6(__libc_start_main+0xe6)[0x366bc1e566]
xarchiver[0x408719]
======= Memory map: ========
00110000-0011c000 r-xp 00000000 fd:00 4277754                            /lib64/libnss_files-2.8.90.so
0011c000-0031b000 ---p 0000c000 fd:00 4277754                            /lib64/libnss_files-2.8.90.so
0031b000-0031c000 r--p 0000b000 fd:00 4277754                            /lib64/libnss_files-2.8.90.so
0031c000-0031d000 rw-p 0000c000 fd:00 4277754                            /lib64/libnss_files-2.8.90.so
00400000-00429000 r-xp 00000000 fd:00 5205675                            /usr/bin/xarchiver
00629000-0062b000 rw-p 00029000 fd:00 5205675                            /usr/bin/xarchiver
0062b000-0062c000 rw-p 0062b000 00:00 0 
0082a000-0082d000 rw-p 0002a000 fd:00 5205675                            /usr/bin/xarchiver
0082d000-00840000 r-xp 00000000 fd:00 1058143                            /usr/lib64/gtk-2.0/2.10.0/engines/libnodoka.so
00840000-00a3f000 ---p 00013000 fd:00 1058143                            /usr/lib64/gtk-2.0/2.10.0/engines/libnodoka.so
00a3f000-00a40000 rw-p 00012000 fd:00 1058143                            /usr/lib64/gtk-2.0/2.10.0/engines/libnodoka.so
00be6000-00f6b000 rw-p 00be6000 00:00 0                                  [heap]
31bac00000-31bace0000 r-xp 00000000 fd:00 4268315                        /lib64/libglib-2.0.so.0.1800.2
31bace0000-31baedf000 ---p 000e0000 fd:00 4268315                        /lib64/libglib-2.0.so.0.1800.2
31baedf000-31baee1000 rw-p 000df000 fd:00 4268315                        /lib64/libglib-2.0.so.0.1800.2
31bb000000-31bb041000 r-xp 00000000 fd:00 4268334                        /lib64/libgobject-2.0.so.0.1800.2
31bb041000-31bb241000 ---p 00041000 fd:00 4268334                        /lib64/libgobject-2.0.so.0.1800.2
31bb241000-31bb243000 rw-p 00041000 fd:00 4268334                        /lib64/libgobject-2.0.so.0.1800.2
31bb400000-31bb403000 r-xp 00000000 fd:00 4268564                        /lib64/libgmodule-2.0.so.0.1800.2
31bb403000-31bb602000 ---p 00003000 fd:00 4268564                        /lib64/libgmodule-2.0.so.0.1800.2
31bb602000-31bb603000 rw-p 00002000 fd:00 4268564                        /lib64/libgmodule-2.0.so.0.1800.2
31bb800000-31bb804000 r-xp 00000000 fd:00 4268560                        /lib64/libgthread-2.0.so.0.1800.2
31bb804000-31bba03000 ---p 00004000 fd:00 4268560                        /lib64/libgthread-2.0.so.0.1800.2
31bba03000-31bba04000 rw-p 00003000 fd:00 4268560                        /lib64/libgthread-2.0.so.0.1800.2
31bbc00000-31bbc71000 r-xp 00000000 fd:00 4268565                        /lib64/libgio-2.0.so.0.1800.2
31bbc71000-31bbe71000 ---p 00071000 fd:00 4268565                        /lib64/libgio-2.0.so.0.1800.2
31bbe71000-31bbe74000 rw-p 00071000 fd:00 4268565                        /lib64/libgio-2.0.so.0.1800.2
31bc000000-31bc01d000 r-xp 00000000 fd:00 5219394                        /usr/lib64/libatk-1.0.so.0.2409.1
31bc01d000-31bc21d000 ---p 0001d000 fd:00 5219394                        /usr/lib64/libatk-1.0.so.0.2409.1
31bc21d000-31bc220000 rw-p 0001d000 fd:00 5219394                        /usr/lib64/libatk-1.0.so.0.2409.1
31bc400000-31bc41d000 r-xp 00000000 fd:00 5221582                        /usr/lib64/libgdk_pixbuf-2.0.so.0.1400.4
31bc41d000-31bc61c000 ---p 0001d000 fd:00 5221582                        /usr/lib64/libgdk_pixbuf-2.0.so.0.1400.4
31bc61c000-31bc61d000 rw-p 0001c000 fd:00 5221582                        /usr/lib64/libgdk_pixbuf-2.0.so.0.1400.4
31bc800000-31bc82c000 r-xp 00000000 fd:00 5221583                        /usr/lib64/libpangoft2-1.0.so.0.2200.0
31bc82c000-31bca2b000 ---p 0002c000 fd:00 5221583                        /usr/lib64/libpangoft2-1.0.so.0.2200.0
31bca2b000-31bca2d000 rw-p 0002b000 fd:00 5221583                        /usr/lib64/libpangoft2-1.0.so.0.2200.0
31bcc00000-31bcfc8000 r-xp 00000000 fd:00 5221586                        /usr/lib64/libgtk-x11-2.0.so.0.1400.4
31bcfc8000-31bd1c8000 ---p 003c8000 fd:00 5221586                        /usr/lib64/libgtk-x11-2.0.so.0.1400.4
31bd1c8000-31bd1d3000 rw-p 003c8000 fd:00 5221586                        /usr/lib64/libgtk-x11-2.0.so.0.1400.4
31bd1d3000-31bd1d5000 rw-p 31bd1d3000 00:00 0 
31bd200000-31bd246000 r-xp 00000000 fd:00 5219399                        /usr/lib64/libpango-1.0.so.0.2200.0
31bd246000-31bd446000 ---p 00046000 fd:00 5219399                        /usr/lib64/libpango-1.0.so.0.2200.0
31bd446000-31bd449000 rw-p 00046000 fd:00 5219399                        /usr/lib64/libpango-1.0.so.0.2200.0
31bd600000-31bd699000 r-xp 00000000 fd:00 5221585                        /usr/lib64/libgdk-x11-2.0.so.0.1400.4
31bd699000-31bd899000 ---p 00099000 fd:00 5221585                        /usr/lib64/libgdk-x11-2.0.so.0.1400.4
31bd899000-31bd89e000 rw-p 00099000 fd:00 5221585                        /usr/lib64/libgdk-x11-2.0.so.0.1400.4
31bda00000-31bda0a000 r-xp 00000000 fd:00 5221584                        /usr/lib64/libpangocairo-1.0.so.0.2200.0
31bda0a000-31bdc0a000 ---p 0000a000 fd:00 5221584                        /usr/lib64/libpangocairo-1.0.so.0.2200.0
31bdc0a000-31bdc0b000 rw-p 0000a000 fd:00 5221584                        /usr/lib64/libpangocairo-1.0.so.0.2200.0
31c2600000-31c2603000 r-xp 00000000 fd:00 5222404                        /usr/lib64/libcanberra-gtk.so.0.0.4
31c2603000-31c2802000 ---p 00003000 fd:00 5222404                        /usr/lib64/libcanberra-gtk.so.0.0.4
31c2802000-31c2803000 rw-p 00002000 fd:00 5222404                        /usr/lib64/libcanberra-gtk.so.0.0.4
31c2e00000-31c2e34000 r-xp 00000000 fd:00 5222397                        /usr/lib64/librsvg-2.so.2.22.3
31c2e34000-31c3033000 ---p 00034000 fd:00 5222397                        /usr/lib64/librsvg-2.so.2.22.3
31c3033000-31c3035000 rw-p 00033000 fd:00 5222397                        /usr/lib64/librsvg-2.so.2.22.3
31c3a00000-31c3a38000 r-xp 00000000 fd:00 5222395                        /usr/lib64/libcroco-0.6.so.3.0.1
31c3a38000-31c3c37000 ---p 00038000 fd:00 5222395                        /usr/lib64/libcroco-0.6.so.3.0.1
31c3c37000-31c3c3b000 rw-p 00037000 fd:00 5222395                        /usr/lib64/libcroco-0.6.so.3.0.1
31c3e00000-31c3e38000 r-xp 00000000 fd:00 5218367                        /usr/lib64/libgsf-1.so.114.0.9
31c3e38000-31c4037000 ---p 00038000 fd:00 5218367                        /usr/lib64/libgsf-1.so.114.0.9
31c4037000-31c403b000 rw-p 00037000 fd:00 5218367                        /usr/lib64/libgsf-1.so.114.0.9
31c403b000-31c403c000 rw-p 31c403b000 00:00 0 
366b800000-366b820000 r-xp 00000000 fd:00 2105608                        /lib64/ld-2.8.90.so
366ba1f000-366ba20000 r--p 0001f000 fd:00 2105608                        /lib64/ld-2.8.90.so
366ba20000-366ba21000 rw-p 00020000 fd:00 2105608                        /lib64/ld-2.8.90.so
366bc00000-366bd6c000 r-xp 00000000 fd:00 2106688                        /lib64/libc-2.8.90.so
366bd6c000-366bf6b000 ---p 0016c000 fd:00 2106688                        /lib64/libc-2.8.90.so
366bf6b000-366bf6f000 r--p 0016b000 fd:00 2106688                        /lib64/libc-2.8.90.so
366bf6f000-366bf70000 rw-p 0016f000 fd:00 2106688                        /lib64/libc-2.8.90.so
366bf70000-366bf75Multiple segmentation faults occurred; can't display error dialog

Expected results:
PDF displayed by Evince.

Additional info:
I can provide even the core file if it is unreproducible.
Sorry to ask but in Fedora I find xarchiver as a duplicate to the file-roller package, which does not crash in this case.
Comment 1 Christoph Wickert 2008-10-19 15:54:53 EDT
(In reply to comment #0)
> I can provide even the core file if it is unreproducible.

Not necessary, I can reproduce the bug

> Sorry to ask but in Fedora I find xarchiver as a duplicate to the file-roller
> package, which does not crash in this case.

Not sure if I understand you correctly here. xarchiver and file-roller are completely different and to be honest xarchiver is not fully developed.
Comment 2 Jan Kratochvil 2008-10-19 16:02:27 EDT
(In reply to comment #1)
> > Sorry to ask but in Fedora I find xarchiver as a duplicate to the file-roller
> > package, which does not crash in this case.
> 
> Not sure if I understand you correctly here. xarchiver and file-roller are
> completely different and to be honest xarchiver is not fully developed.

Are there any features of xarchiver not present in file-roller?
Isn't it possible to port these features to file-roller?  Or vice-versa?
And remove the other package?
But sure we have freedom in Fedora and both packages can exist in parallel if there is such wish.
Anyway thanks for a fix.
Comment 3 Christoph Wickert 2008-10-19 16:18:21 EDT
xarchiver is fundamentally different from file-roller, so it's hard to port features from one app to the other. It doesn't offer any additional features but the main advantage it that it does not require any of the Gnome bits.
Comment 4 Christoph Wickert 2008-10-29 09:22:35 EDT
I have to correct my previous statements here:

(In reply to comment #2)
> Are there any features of xarchiver not present in file-roller?

Yes, at least in the upcoming 0.5.0 release. The new version can add and display comments (for those archives that support it) or list the contents of an archive to a txt or html file.

Unfortunately the new version is crashing very often, so I'm not going to update before it gets stable. Upstream has refused to take care of this bug because it is fixed meanwhile, but the changes in trunk are so massive that I'm not sure if I can backport the fix without introducing new bugs. :(
Comment 5 Fedora Update System 2008-11-25 21:24:26 EST
xarchiver-0.5.2-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/xarchiver-0.5.2-2.fc10
Comment 6 Bug Zapper 2008-11-25 23:00:33 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Fedora Update System 2008-11-26 21:11:56 EST
xarchiver-0.5.2-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xarchiver'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-10470
Comment 8 Fedora Update System 2008-12-17 19:35:29 EST
xarchiver-0.5.2-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.